=== src/CMakeLists.txt ===
#############
## Library ##
#############

add_library(${PROJECT_NAME}
  adc_dump.cpp
  echo_driver.cpp
  lib_utils.cpp
  ros_utils.cpp
)

add_dependencies(${PROJECT_NAME}
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  toposens-sensor-library
)

install(
  TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

################
## Executable ##
################

add_executable(${PROJECT_NAME}_node
  ts_echo_driver_node.cpp
)

add_dependencies(${PROJECT_NAME}_node
  ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(${PROJECT_NAME}_node
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(
  TARGETS ${PROJECT_NAME}_node
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  COMPONENT main
)

add_executable(request_adc_dump
  ts_request_adc_dump_node.cpp
)

add_dependencies(request_adc_dump
  ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS}
)

target_link_libraries(request_adc_dump
  ${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

install(
  TARGETS request_adc_dump
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
  COMPONENT main
)
