=== debian/changelog ===
ros-noetic-toposens-echo-driver (2.3.2-2buster) buster; urgency=high

  * fix formatting error in toposens-library
  * Contributors: Baris Yazici

 -- Dennis Maier <maier@toposens.com>  Wed, 26 Jan 2022 23:00:00 -0000

ros-noetic-toposens-echo-driver (2.3.1-2buster) buster; urgency=high

  * Minor clean-up and bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Mon, 25 Oct 2021 22:00:00 -0000

ros-noetic-toposens-echo-driver (2.3.0-2buster) buster; urgency=high

  * Introduce toposens_echo_driver package
  * Update maintainers
  * Minor bug fixes
  * Contributors: Baris Yazici, Dennis Maier

 -- Dennis Maier <maier@toposens.com>  Wed, 22 Sep 2021 22:00:00 -0000
