=== debian/control ===
Source: ros-noetic-toposens-echo-driver
Section: misc
Priority: optional
Maintainer: Dennis Maier <maier@toposens.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-cmake-modules, ros-noetic-dynamic-reconfigure, ros-noetic-genmsg, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf2-ros, ros-noetic-toposens-msgs
Homepage: https://toposens.com
Standards-Version: 3.9.2

Package: ros-noetic-toposens-echo-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cmake-modules, ros-noetic-dynamic-reconfigure, ros-noetic-genmsg, ros-noetic-message-generation, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-std-msgs, ros-noetic-tf, ros-noetic-tf2-ros, ros-noetic-toposens-msgs
Description: ROS device driver for communication with TS ECHO sensors on a CAN bus
